|  | Home | Documentation | _base64 Struct Reference updated by Robert van Engelen |

Public Member Functions | Public Attributes | List of all members
_base64 Struct Reference

Represents the <base64> binary data element. More...

`#include <xml-rpc.h>`

## Public Member Functions

| _base64 ()
| _base64 (struct soap *)
| _base64 (struct soap *, int, unsigned char *)
int | size () const
| byte size of data
unsigned char * | ptr ()
| pointer to data
void | size (int)
| set byte size of data
void | ptr (unsigned char *)
| set pointer to data

## Public Attributes

unsigned char * | __ptr
| pointer to raw binary data block
int | __size
| size of raw binary data block

## Detailed Description

Represents the <base64> binary data element.

## Constructor & Destructor Documentation

## ◆ _base64() [1/3]

_base64::_base64 | ( |  | ) |

## ◆ _base64() [2/3]

_base64::_base64 | ( | struct soap * |  | ) |

## ◆ _base64() [3/3]

_base64::_base64 | ( | struct soap * | ,
|  | int | ,
|  | unsigned char * | )

## Member Function Documentation

## ◆ ptr() [1/2]

unsigned char * _base64::ptr | ( |  | ) |

pointer to data

## ◆ ptr() [2/2]

void _base64::ptr | ( | unsigned char * |  | ) |

set pointer to data

## ◆ size() [1/2]

int _base64::size | ( |  | ) | const

byte size of data

## ◆ size() [2/2]

void _base64::size | ( | int |  | ) |

set byte size of data

## Member Data Documentation

## ◆ __ptr

unsigned char* _base64::__ptr

pointer to raw binary data block

## ◆ __size

int _base64::__size

size of raw binary data block

The documentation for this struct was generated from the following file:

- xml-rpc.h